qubeKey: source-webflow
name: source-webflow
type: airbyte-source
id: source-webflow
maturity: alpha
ui:
  icon: <svg xmlns="http://www.w3.org/2000/svg" width="250" height="250" fill="none"><path
    fill="#4353FF" d="M125 221c53.019 0 96-42.981 96-96 0-53.02-42.981-96-96-96-53.02
    0-96 42.98-96 96 0 53.019 42.98 96 96 96Z"/><path fill="#fff" d="m153.193 113.6-8.7
    27.42c0-2.1-6-47.58-6-47.58-13.8 0-21.12 9.78-24.96 20.16l-10.62 27.48c0-1.98-1.5-27.24-1.5-27.24a22.44
    22.44 0 0 0-21.78-20.34l11.28 68.88c14.4 0 22.2-9.78 26.22-20.16l9-23.4c0 .96
    6 43.56 6 43.56a27.722 27.722 0 0 0 26.4-19.38l20.4-49.56c-14.4 0-21.96 9.78-25.8
    20.16h.06Z"/></svg>
  shortDescription: api
  description: ''
  links:
  - linkName: Documentation
    url: https://docs.airbyte.com/integrations/sources/webflow
properties:
  type: object
  title: Webflow Spec
  schema: http://json-schema.org/draft-07/schema#
  required:
  - api_key
  - site_id
  properties:
    api_key:
      type: string
      order: 1
      title: API token
      example: a very long hex sequence
      description: The API token for authenticating to Webflow. See https://university.webflow.com/lesson/intro-to-the-webflow-api
      airbyte_secret: true
    site_id:
      type: string
      order: 0
      title: Site id
      example: a relatively long hex sequence
      description: The id of the Webflow site you are requesting data from. See https://developers.webflow.com/#sites
  additionalProperties: false
schemaType: {}
